
Figure - Bug #114197
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 112101 (New): AF-V2.0-Launcher/SystemUI-控制中心

【AF】【EVT】【控制中心】点击音乐播放器播放、暂停按钮下方一点点的位置，会引起系统崩溃
2022-11-29 15:22 - CD TEST-方永红

Status: CLOSED Start date: 2022-11-29

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: MCE_V4.0update_20221215(原VC1_FSE_Vdec1219)

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0052.X101

Resolution: FIXED Degrated: --

Severity: Critical Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212090644

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 背景切换为点九图，不可以强转成IlluminationDrawable

Description

【前提条件】

1、设备已开机

2、本地有音乐

【测试步骤】

1、打开音乐应用播放音乐

2、退出音乐应用页面

3、下拉打开控制中心

4、点击音乐播放器播放、暂停按钮下方一点点的位置

【预期结果】

4、无反应

【实际结果】

4、重复3、4，会引起系统崩溃（详见视频）

【复现率】

5/5

History

#1 - 2022-11-29 15:34 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-鲁凯峰

#2 - 2022-11-30 15:31 - CDTS_TEST 王成

- Severity changed from Major to Critical

#3 - 2022-12-07 19:59 - CD FW-鲁凯峰

- Assignee changed from CD FW-鲁凯峰 to CD APP-王宏

#4 - 2022-12-08 09:58 - CD APP-王宏

12-02 08:10:38.115 19412 19412 E AndroidRuntime: java.lang.ClassCastException: android.graphics.drawable.NinePatchDrawable cannot be cast to

com.android.systemui.media.IlluminationDrawable
12-02 08:10:38.115 19412 19412 E AndroidRuntime:     at com.android.systemui.media.MediaControlPanel$1.getCurrentTopCornerRadius(MediaControlPanel.java:535)

12-02 08:10:38.115 19412 19412 E AndroidRuntime:     at

com.android.systemui.animation.GhostedViewLaunchAnimatorController.createAnimatorState(GhostedViewLaunchAnimatorController.kt:113)

12-02 08:10:38.115 19412 19412 E AndroidRuntime:     at com.android.systemui.statusbar.phone.StatusBarLaunchAnimatorController.createAnimatorState(Unknown

Source:2)

12-02 08:10:38.115 19412 19412 E AndroidRuntime:     at

com.android.systemui.animation.ActivityLaunchAnimator$Runner.startAnimation(ActivityLaunchAnimator.kt:445)

12-02 08:10:38.115 19412 19412 E AndroidRuntime:     at

com.android.systemui.animation.ActivityLaunchAnimator$Runner.access$startAnimation(ActivityLaunchAnimator.kt:365)

12-02 08:10:38.115 19412 19412 E AndroidRuntime:     at

com.android.systemui.animation.ActivityLaunchAnimator$Runner$onAnimationStart$1.run(ActivityLaunchAnimator.kt:418)

12-02 08:10:38.115 19412 19412 E AndroidRuntime:     at android.os.Handler.handleCallback(Handler.java:938)

12-02 08:10:38.115 19412 19412 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:99)

12-02 08:10:38.115 19412 19412 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

12-02 08:10:38.115 19412 19412 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

12-02 08:10:38.115 19412 19412 E AndroidRuntime:     at android.app.ActivityThread.main(ActivityThread.java:7880)

12-02 08:10:38.115 19412 19412 E AndroidRuntime:     at java.lang.reflect.Method.invoke(Native Method)

12-02 08:10:38.115 19412 19412 E AndroidRuntime:     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

12-02 08:10:38.115 19412 19412 E AndroidRuntime:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

#5 - 2022-12-08 10:47 - CDTS-TEST 周婷

- Target version set to MCE_V4.0update_20221215(原VC1_FSE_Vdec1219)

#6 - 2022-12-08 11:46 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

168524 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:QuickSettings: Fix the problem that the media player in the control center clicks and crashesTC-RID: 1201-0201903IssueID: TS-R-BUG-114197Change-Id:

I75edff2620271adcf0c4db1a4888a79332825a82

#7 - 2022-12-08 16:54 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Root cause set to 背景切换为点九图，不可以强转成IlluminationDrawable

■ Current conclusion

查找到类型转换错误

■ My analysis

12-02 08:10:38.115 19412 19412 E AndroidRuntime: java.lang.ClassCastException: android.graphics.drawable.NinePatchDrawable cannot be cast to

com.android.systemui.media.IlluminationDrawable

12-02 08:10:38.115 19412 19412 E AndroidRuntime: at com.android.systemui.media.MediaControlPanel$1.getCurrentTopCornerRadius(MediaControlPanel.java:535)

12-02 08:10:38.115 19412 19412 E AndroidRuntime: at

com.android.systemui.animation.GhostedViewLaunchAnimatorController.createAnimatorState(GhostedViewLaunchAnimatorController.kt:113)
12-02 08:10:38.115 19412 19412 E AndroidRuntime: at com.android.systemui.statusbar.phone.StatusBarLaunchAnimatorController.createAnimatorState(Unknown

Source:2)

12-02 08:10:38.115 19412 19412 E AndroidRuntime: at

com.android.systemui.animation.ActivityLaunchAnimator$Runner.startAnimation(ActivityLaunchAnimator.kt:445)

12-02 08:10:38.115 19412 19412 E AndroidRuntime: at

com.android.systemui.animation.ActivityLaunchAnimator$Runner.access$startAnimation(ActivityLaunchAnimator.kt:365)

12-02 08:10:38.115 19412 19412 E AndroidRuntime: at

com.android.systemui.animation.ActivityLaunchAnimator$Runner$onAnimationStart$1.run(ActivityLaunchAnimator.kt:418)

12-02 08:10:38.115 19412 19412 E AndroidRuntime: at android.os.Handler.handleCallback(Handler.java:938)

12-02 08:10:38.115 19412 19412 E AndroidRuntime: at android.os.Handler.dispatchMessage(Handler.java:99)

12-02 08:10:38.115 19412 19412 E AndroidRuntime: at android.os.Looper.loopOnce(Looper.java:201)

12-02 08:10:38.115 19412 19412 E AndroidRuntime: at android.os.Looper.loop(Looper.java:288)

12-02 08:10:38.115 19412 19412 E AndroidRuntime: at android.app.ActivityThread.main(ActivityThread.java:7880)

12-02 08:10:38.115 19412 19412 E AndroidRuntime: at java.lang.reflect.Method.invoke(Native Method)

12-02 08:10:38.115 19412 19412 E AndroidRuntime: at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

12-02 08:10:38.115 19412 19412 E AndroidRuntime: at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

■ Next action / ■Submit URL

通过日志可知错误发生在MediaControlPanel.java的535行找到对应位置修改即可

#8 - 2022-12-09 11:01 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212090644

12.9

验证通过

#9 - 2022-12-09 11:02 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190142 2022-11-29 14-54-57.mp4 22.5 MB 2022-11-29 CD TEST-方永红

logcat.txt 4.23 MB 2022-11-29 CD TEST-方永红
